Roxen.git / server / base_server / mainconfig.pike

version» Context lines:

Roxen.git/server/base_server/mainconfig.pike:1:   inherit "config/builders"; - string cvs_version = "$Id: mainconfig.pike,v 1.32 1997/02/13 13:00:57 per Exp $"; + string cvs_version = "$Id: mainconfig.pike,v 1.33 1997/02/18 02:43:53 per Exp $";   inherit "roxenlib";   inherit "config/draw_things";      import Stdio;   import Array;      #include <confignode.h>   #include <module.h>      #define dR "00"
Roxen.git/server/base_server/mainconfig.pike:1076:    name = module_short_name(mod, o->config());    if(!name)    error("This module cannot be updated");    sscanf(name, "%s#%*s", modname);       if(!(cmod = o->config()->modules[ modname ]))    error("This module cannot be updated");       o->save();    cache_remove("modules", modname); -  _master->set_inhibit_compile_errors(1); +  _master->set_inhibit_compile_errors("");       if(!o->config()->load_module(modname))    {    mapping rep;    rep = http_string_answer("The reload of this module failed.\n"    "This is (probably) the reason:\n<pre>"    + _master->errors + "</pre>" );    _master->set_inhibit_compile_errors(0);    return rep;    }